Subject: Re: [dtn] Alvaro Retana's Block on charter-ietf-dtn-01-00: (with BLOCK and COMMENT)

From: Zaheduzzaman Sarker <[email-masked]>
Date: Sat, 30 Oct 2021 19:27:18 +0000

Hi Alvaro, Hi Martin, 

I think now in the rechartering text (https://datatracker.ietf.org/doc/charter-ietf-dtn/ ) we are more clear on what we expect regarding Routing topics in DTN and where the DTN working group will be collaborating with MANET WG. Please have a look, I hope this is enough to clear the block.

BR
Zahed

On 2021-09-08, 11:45, "iesg on behalf of Rick Taylor" <[email-masked] on behalf of [email-masked]> wrote:

    Hi Alvaro,

    Thanks for the feedback, I have comments inline...

    > -----Original Message-----
    > From: Alvaro Retana via Datatracker [mailto:[email-masked]]
    > Sent: 07 September 2021 14:54
    > To: The IESG
    > Cc: [email-masked]; [email-masked]
    > Subject: Alvaro Retana's Block on charter-ietf-dtn-01-00: (with BLOCK and
    > COMMENT)
    > 
    > Alvaro Retana has entered the following ballot position for
    > charter-ietf-dtn-01-00: Block
    > 
    > When responding, please keep the subject line intact and reply to all
    > email addresses included in the To and CC lines. (Feel free to cut this
    > introductory paragraph, however.)
    > 
    > 
    > 
    > The document, along with other ballot positions, can be found here:
    > https://datatracker.ietf.org/doc/charter-ietf-dtn/
    > 
    > 
    > 
    > ----------------------------------------------------------------------
    > BLOCK:
    > ----------------------------------------------------------------------
    > 
    > Even though the charter explicitly excludes Routing in DTN, the text gives the
    > impression that this WG will eventually do the work.  Given that there is no
    > routing work at the moment, I see no need to include the related text in the
    > charter.
    > 
    > When candidate solutions exist, we can then discuss the proper place to
    > work on
    > them.  Disclaimer: I am partial to doing routing work in the Routing Area.

    Absolutely 100% agree.  However - the WG is not going to do routing work in this charter cycle for 2 reasons:
    1. It should be done in/with the Routing Area, as we lack the expertise.
    2. The current proposals are either focussed on a single use-case (basically static routing tables for deep space, being standardised elsewhere), or a bit theoretical, and we do not have the cycles to spare now.

    We will re-read/check the text to make sure there is no implication that DTN Routing will be done in Transport.  However, I do want to see it done in the IETF - the current text is there to make sure it is totally obvious to contributors that we will not be accepting Routing drafts as WG docs, but I don't want to see them get published elsewhere causing standardisation schisms.  As chairs, we would be happy to redirect them to RTGWG or MANET, if you are happy to receive them?

    > 
    > If routing-related topics do come up, I would appreciate coordination with
    > both
    > the manet and rtgwg WGs.  manet works on ad-hoc networks, which have a
    > strong
    > relationship with disruption-tolerant networks.   rtgwg is chartered with the
    > dispatch-like function of discussing where routing work should be done (if it
    > doesn't clearly fit in an existing WG).

    Again, agree.  We are adding an extra paragraph to the end of the charter to mandate liaison with other WGs in other Areas (Sec, Routing, Ops) as we do understand that although we are a Transport group, DTN is really a microcosm of the whole Internet.

    > 
    > 
    > ----------------------------------------------------------------------
    > COMMENT:
    > ----------------------------------------------------------------------
    > 
    > (1) "The Working Group has submitted...for publication as standards track
    > RFCs."
    > 
    > The publication of this work will soon result in this text becoming stale. So
    > instead, simply mention the WG has produced these documents.

    Done (in the next version)

    > 
    > (2) "The definition of protocols and best practices in the areas of Operations,
    > Administration and Management (OAM), and Key Management"
    > 
    > Because of the nature of the networks, AMP is strongly related to ad-hoc
    > networks. Therefore, please coordinate with the manet WG.

    I hope my comment above applies?

    > 
    > (3) s/Network (DTN)/Networking (DTN)
    > 
    > (4) s/future work items/work items
    > The items are now current. ;-)

    Good catch.  It helps if one gets the name of the WG correct in the charter ;-)

    As I have said to you before, there is a lot of cross-over with MANET, but both groups are really quite small by IETF standards, and actually share about 50% of the attendees.  We really want to maintain the current positive momentum we have in the WG, so I will continue to push back against splitting the work between areas or moving the WG.  By the next re-charter cycle, I would love to the see DTN having the interest to support a DTN-OPS WG, a DTN-RTG WG, a DTN-SEC WG, a DTN Area even, but that's all a bit aspirational for now.

    Cheers,

    Rick